org.keycloak.federation.kerberos

## Class ReadOnlyKerberosUserModelDelegate

- java.lang.Object
- - org.keycloak.models.utils.UserModelDelegate
  - - org.keycloak.federation.kerberos.ReadOnlyKerberosUserModelDelegate

- All Implemented Interfaces:
    RoleMapperModel, UserModel

      public class ReadOnlyKerberosUserModelDelegate
      extends UserModelDelegate

  Author:
    Marek Posolda

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction, UserModel.UserRemovedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KerberosFederationProvider` | `provider`

    - ### Fields inherited from class org.keycloak.models.utils.UserModelDelegate

      `delegate`

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `EMAIL, FIRST_NAME, LAST_NAME, LOCALE, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyKerberosUserModelDelegate(UserModel delegate, KerberosFederationProvider provider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateCredential(UserCredentialModel cred)`

    - ### Methods inherited from class org.keycloak.models.utils.UserModelDelegate

      `addRequiredAction, addRequiredAction, deleteRoleMapping, getAttribute, getAttributes, getClientRoleMappings, getCreatedTimestamp, getCredentialsDirectly, getDelegate, getEmail, getFederationLink, getFirstAttribute, getFirstName, getGroups, getId, getLastName, getRealmRoleMappings, getRequiredActions, getRoleMappings, getServiceAccountClientLink, getUsername, grantRole, hasRole, isEmailVerified, isEnabled, isMemberOf, isOtpEnabled, joinGroup, leaveGroup, removeAttribute, removeRequiredAction, removeRequiredAction, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setOtpEnabled, setServiceAccountClientLink, setSingleAttribute, setUsername, updateCredentialDirectly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### provider

          protected KerberosFederationProvider provider

  - ### Constructor Detail

    - #### ReadOnlyKerberosUserModelDelegate

          public ReadOnlyKerberosUserModelDelegate(UserModel delegate,
                                                   KerberosFederationProvider provider)

  - ### Method Detail

    - #### updateCredential

          public void updateCredential(UserCredentialModel cred)

      Specified by:
        `updateCredential` in interface `UserModel`
      Overrides:
        `updateCredential` in class `UserModelDelegate`

Copyright © 2016 JBoss by Red Hat. All rights reserved.